Bug 845270 - Request for packaging: Retrobattle -- a NES-like platform arcade game
Request for packaging: Retrobattle -- a NES-like platform arcade game
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vokal
Radek Vokal
http://remar.se/andreas/retrobattle/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 10:05 EDT by Andreas Remar
Modified: 2014-08-05 04:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-05 04:28:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preliminary spec file for Retrobattle (1.24 KB, text/plain)
2012-08-02 11:43 EDT, Andreas Remar
no flags Details

  None (edit)
Description Andreas Remar 2012-08-02 10:05:37 EDT
Description of problem: This is a request for packaging of Retrobattle, http://remar.se/andreas/retrobattle/

The actual source package is http://remar.se/andreas/retrobattle/files/retrobattle-src-1.0.0.tar.bz2

To build, libSDL and libSDL_mixer development packages are needed.

Additional info:

Retrobattle is made to look and feel like the classic arcade-style NES games, such as Ice Climber and Clu Clu Land. Not only are the sprites limited to three colors each, but the scoring, increasing difficulty, and setup of the game makes for a challenging arcade experience that mixes various oldschool concepts. Note that playing on Skill 1 is pretty boring compared to the havoc of Skill 8, so it may seem slow at first.

This game was originally implemented in Game Maker by Daniel Remar. This is the GNU/Linux implementation by Andreas Remar.
Comment 1 Andreas Remar 2012-08-02 11:43:49 EDT
Created attachment 601988 [details]
Preliminary spec file for Retrobattle

After some help from iranzo @ #fedora (FreeNode), I've made a spec file for Retrobattle. Haven't tried it myself, though, so it might not be complete.
Comment 2 Fedora End Of Life 2013-04-03 12:31:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Václav Pavlín 2014-08-05 04:28:20 EDT
Feel free to prepare the package and ask for review and addition to Fedora! Fedora is community project and you are more than welcome to join, otherwise there is nothing we can do about this from the distribution point of view. 

Please follow Package Review Process

http://fedoraproject.org/wiki/Package_Review_Process

I suggest to close this bug and file new one for the Review.

Note You need to log in before you can comment on or make changes to this bug.